Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Mon, 24 Apr 2023 09:57:43 +0100

On Mon, Apr 24, 2023, 08:48 Robert Pluim <[email-masked]> wrote:

>
>
>     João> Not when package dependencies are involved.  If you weren't
> aware,
>     João> in Emacs 26 (including 29), if you explicitly ask to install
> package A
>     João> and it depends on :core package B, which you didn't ask to
> install,
>     João> package B gets upgraded.
>
> I think thatʼs OK as a behaviour

Noted :)

  .  I am of course presuming that
>     João> you aren't/weren't also an Eglot user, otherwise you would have
> been
>     João> hit by these package upgrades related to dependencies in Emacs 28
>     João> and would have noticed them.
>
> I use eglot on emacs-29, but have never installed it (and I never run
> emacs-28 any more :-))
>

Also noted. Eglot on Emacs 29 is generally the most stable version of it
you can get. However is has less features. Expect the gap to grow with
time. Some fringe LSP servers are also better supported on later versions.

If you never use package-install on Eglot, then there's even less reason to
worry about my patch, which only affects Eglot.

(Meaning, FTR, that we're still missing an account from at least one user
who would be perturbed by my patch.)

Robert, do you use package-install at all? On what packages?

João